Bug 1125974 - JON 3.3 Missing Resource Policy page .... "change" button does not work
Summary: JON 3.3 Missing Resource Policy page .... "change" button does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR02
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 13:38 UTC by Mike Foley
Modified: 2014-10-06 12:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 14:02:30 UTC
Type: Bug


Attachments (Terms of Use)
JON 3.3 Missing Resource Policy page (170.51 KB, image/png)
2014-08-01 13:38 UTC, Mike Foley
no flags Details

Description Mike Foley 2014-08-01 13:38:16 UTC
Created attachment 923324 [details]
JON 3.3 Missing Resource Policy page

Description of problem:  JON 3.3 Missing Resource Policy page .... "change" button does not work 


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  Menu ...Administration/Missing Resource Policy
2.  click button for "change"
3.

Actual results:
nothing happens. 


Expected results:
1) I would expect the Change button to work.
2) This page does not even exist in JON 3.2.2 ... so not sure what the expected behavior is (other than the change button working) 

Additional info:

Comment 1 Jay Shaughnessy 2014-08-04 17:54:34 UTC
Mike, this is actually working as expected.  I think it's the lame new icons making it appear like it doesn't work.  In the past the "live" edit icons (the pencils) were bright green and easily distinguished from the inactive grey edit icons.

I'm thinking you're clicking on types that don't support the Missing Resource Policy feature, and therefore an inactive icon.

If you go down to JBoss AS7 Standlone Server -> Deployment you'll see that the pencil is darker, which is active, and when clicked will pop up a dialog allowing the policy to be changed.

The number of UX issues on these "Type Level" admin pages is staggering.  It hasn't received much love because it's a difficult view to work with and doesn't get accessed all that often.  The new icons make it even worse.

Not sure what to do about it, if anything, because I think it's all part of the Patternfly look+feel.

Let me know how you want to proceed.  You'll see the dark pencil in other places as well, like when you rollover A resource name in the Resource details view, or maybe making this more obvious, look at the Drift Definitions Template view, on the same admin section.


Note You need to log in before you can comment on or make changes to this bug.